Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.eclipse.model
[Groovy] Class EclipseWtpComponent

    java.lang.Object
      org.gradle.plugins.ide.eclipse.model.EclipseWtpComponent

    class EclipseWtpComponent
    extends java.lang.Object

Models the information need for wtp component

For examples see docs for EclipseWtp @author: Szczepan Faber, created at: 4/20/11

Property Summary
`java.lang.String` | `contextPath` The context path for the web application For examples see docs for EclipseWtp
`java.lang.String` | `deployName` The deploy name to be used.
`java.util.Set` | `minusConfigurations` The configurations whose files are to be excluded from dependent-module elements.
`java.util.Map` | `pathVariables` The variables to be used for replacing absolute path in dependent-module elements.
`java.util.Set` | `plusConfigurations` The configurations whose files are to be transformed into dependent-module elements.
`java.lang.Object` | `project`
`java.util.List` | `properties` Additional property elements.
`java.util.List` | `resources` Additional wb-resource elements.
`java.util.Set` | `sourceDirs` The source directories to be transformed into wb-resource elements.

Method Summary
`void` | `mergeXmlComponent(WtpComponent xmlComponent)`
`void` | `property(java.util.Map args)` Adds a property.
`void` | `resource(java.util.Map args)` Adds a wb-resource.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### contextPath

    java.lang.String contextPath

  The context path for the web application

  For examples see docs for EclipseWtp

### deployName

    java.lang.String deployName

  The deploy name to be used.

  For examples see docs for EclipseWtp

### minusConfigurations

    java.util.Set minusConfigurations

  The configurations whose files are to be excluded from dependent-module elements.

  For examples see docs for EclipseWtp

### pathVariables

    java.util.Map pathVariables

  The variables to be used for replacing absolute path in dependent-module elements.

  For examples see docs for EclipseModel

### plusConfigurations

    java.util.Set plusConfigurations

  The configurations whose files are to be transformed into dependent-module elements.

  For examples see docs for EclipseWtp

### project

    java.lang.Object project

### properties

    java.util.List properties

  Additional property elements.

  For examples see docs for EclipseWtp

### resources

    java.util.List resources

  Additional wb-resource elements.

  Warning, this property is a ConvenienceProperty

  For examples see docs for EclipseWtp

### sourceDirs

    java.util.Set sourceDirs

  The source directories to be transformed into wb-resource elements.

  Warning, this property is a ConvenienceProperty

  For examples see docs for EclipseWtp

Method Detail

### mergeXmlComponent

    void mergeXmlComponent(WtpComponent xmlComponent)

### property

    void property(java.util.Map args)

  Adds a property.

  For examples see docs for EclipseWtp

  Parameters:
    `args` - A map that must contain a 'name' and 'value' key with corresponding values.

### resource

    void resource(java.util.Map args)

  Adds a wb-resource.

  For examples see docs for EclipseWtp

  Parameters:
    `args` - A map that must contain a deployPath and sourcePath key with corresponding values.

Groovy Documentation